%define	_libexecdir	%{_prefix}/lib/amanda

# XXX append lib to current _localstatedir setting
#%{expand: %%define	_localstatedir	%{_localstatedir}/lib}

Summary:	A network-capable tape backup solution.
Name:		amanda
Version:	2.4.4p2
Release:	1.5.4
Source:		http://download.sourceforge.net/amanda/amanda-%{version}.tar.gz
Source1:	amanda-crontab-gd-1
Source2:	amanda-__README_QUICKSETUP__-gd-1
Source3:	amanda-amanda.conf-gd-1
Source4:	amanda-disklist-gd-1
Source5:	amanda-xinetd-gd-1
Source6:	amandaidx-xinetd-gd-1
Source7:	amidxtape-xinetd-gd-1
Source8:	amandahosts-gd-1
License:	BSD
Group:		Applications/System
URL:		http://www.amanda.org
Prereq:		fileutils grep initscripts
Requires:	tar
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
### BuildPreReq:	dump gnuplot LPRng samba-client tar grep fileutils

%description 
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a single
master backup server to back up multiple hosts to a single large capacity
tape drive.  AMANDA uses native dump and/or GNU tar facilities and can
back up a large number of workstations running multiple versions of Unix.
Newer versions of AMANDA (including this version) can use SAMBA to back
up Microsoft(TM) Windows95/NT hosts.  The amanda package contains the
core AMANDA programs and will need to be installed on both AMANDA clients
and AMANDA servers.  Note that you will have to install the amanda-client
and amanda-server packages as well.

%files
  %defattr(-,root,root)
  %{_libdir}/libamanda*.so
  %{_libdir}/libamtape*.so
  %attr(-,amanda,disk)	%{_sbindir}/amrestore
  %{_mandir}/man8/amrestore.8*
  %attr(660,amanda,disk)  %config(noreplace) /var/lib/amanda/.amandahosts

  %attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/
  %attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda/
  %attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amandates

%package client
Summary:	The client component of the AMANDA tape backup system.
Group:		Applications/System
Prereq:		fileutils grep initscripts xinetd
Requires:	amanda = %{version}

%description client
The Amanda-client package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up).  You will also need to install the amanda package to each
AMANDA client.

%files client
  %defattr(-,root,root)
  %config /etc/xinetd.d/amanda
  %{_libdir}/libamclient*.so
  %attr(-,amanda,disk)	%{_libexecdir}/amandad
  %attr(4750,root,disk)	%{_libexecdir}/calcsize
  %attr(4750,root,disk)	%{_libexecdir}/killpgrp
  %attr(-,amanda,disk)	%{_libexecdir}/patch-system
  %attr(4750,root,disk)	%{_libexecdir}/rundump
  %attr(4750,root,disk)	%{_libexecdir}/runtar
  %attr(-,amanda,disk)	%{_libexecdir}/selfcheck
  %attr(-,amanda,disk)	%{_libexecdir}/sendbackup
  %attr(-,amanda,disk)	%{_libexecdir}/sendsize
  %attr(-,amanda,disk)	%{_libexecdir}/versionsuffix
  %attr(-,amanda,disk)	%{_sbindir}/amrecover
			%{_mandir}/man8/amrecover.8*
  %attr(-,amanda,disk)	%{_sbindir}/security
  %attr(-,amanda,disk)	%{_localstatedir}/amanda/gnutar-lists/

%package server
Summary:	The server side of the AMANDA tape backup system.
Group:		Applications/System
Prereq:		fileutils grep initscripts xinetd
Requires:	amanda = %{version}
### Requires: gnuplot

%description server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device (such as a tape drive) where backups
will be written. You will also need to install the amanda package to
the AMANDA server.  And, if the server is also to be backed up, the
server also needs to have the amanda-client package installed.

%files server
  %defattr(-,root,root)
  %doc examples docs/[A-LN-Z]* docs/MULTITAPE COPYRIGHT* NEWS README
  %{_libdir}/libamserver*.so
  %config(noreplace) /etc/xinetd.d/amandaidx
  %config(noreplace) /etc/xinetd.d/amidxtape
  %attr(-,amanda,disk)	%{_libexecdir}/amidxtaped
  %attr(-,amanda,disk)	%{_libexecdir}/amindexd
  %attr(-,amanda,disk)	%{_libexecdir}/amlogroll
  %attr(-,amanda,disk)	%{_libexecdir}/amtrmidx
  %attr(-,amanda,disk)	%{_libexecdir}/amtrmlog
  %attr(-,amanda,disk)	%{_libexecdir}/driver
  %attr(4750,root,disk)	%{_libexecdir}/dumper
  %attr(4750,root,disk)	%{_libexecdir}/planner
  %attr(-,amanda,disk)	%{_libexecdir}/taper
  %attr(-,amanda,disk)	%{_libexecdir}/amcleanupdisk
  %attr(-,amanda,disk)	%{_libexecdir}/chg-scsi
  %attr(-,amanda,disk)	%{_libexecdir}/chg-manual
  %attr(-,amanda,disk)	%{_libexecdir}/chg-multi
  %attr(-,amanda,disk)	%{_libexecdir}/chg-mtx
  %attr(-,amanda,disk)	%{_libexecdir}/chg-rth
  %attr(-,amanda,disk)	%{_libexecdir}/chg-chs
  %attr(-,amanda,disk)	%{_libexecdir}/chg-chio
  %attr(-,amanda,disk)	%{_libexecdir}/chg-zd-mtx
#  %attr(-,amanda,disk)	%{_libexecdir}/amcat.awk
#  %attr(-,amanda,disk)	%{_libexecdir}/amplot.awk
#  %attr(-,amanda,disk)	%{_libexecdir}/amplot.g
#  %attr(-,amanda,disk)	%{_libexecdir}/amplot.gp

  %attr(-,amanda,disk)	%{_sbindir}/amadmin
  %attr(4750,root,disk)	%{_sbindir}/amcheck
  %attr(-,amanda,disk)	%{_sbindir}/amflush
  %attr(-,amanda,disk)	%{_sbindir}/amgetconf
  %attr(-,amanda,disk)	%{_sbindir}/amlabel
  %attr(-,amanda,disk)	%{_sbindir}/amtape
  %attr(-,amanda,disk)	%{_sbindir}/amreport
  %attr(-,amanda,disk)	%{_sbindir}/amcheckdb
  %attr(-,amanda,disk)	%{_sbindir}/amcleanup
  %attr(-,amanda,disk)	%{_sbindir}/amdump
  %attr(-,amanda,disk)	%{_sbindir}/amoverview
  %attr(-,amanda,disk)	%{_sbindir}/amrmtape
  %attr(-,amanda,disk)	%{_sbindir}/amtoc
  %attr(-,amanda,disk)	%{_sbindir}/amverify
  %attr(-,amanda,disk)	%{_sbindir}/amstatus
#  %attr(-,amanda,disk)	%{_sbindir}/amplot
  %attr(-,amanda,disk)	%{_sbindir}/amtapetype

  %attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/DailySet1/
  %attr(-,amanda,disk)	%dir %{_localstatedir}/amanda/DailySet1/index
  %attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda
  %attr(-,amanda,disk)	%dir %{_sysconfdir}/amanda/DailySet1
  %attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amanda/DailySet1/amanda.conf
  %attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amanda/crontab.sample
  %attr(-,amanda,disk)	%config(noreplace) %{_sysconfdir}/amanda/DailySet1/disklist

#  %{_mandir}/man8/amplot.8*
  %{_mandir}/man8/amanda.8*
  %{_mandir}/man8/amadmin.8*
  %{_mandir}/man8/amcheck.8*
  %{_mandir}/man8/amcheckdb.8*
  %{_mandir}/man8/amcleanup.8*
  %{_mandir}/man8/amdump.8*
  %{_mandir}/man8/amflush.8*
  %{_mandir}/man8/amlabel.8*
  %{_mandir}/man8/amoverview.8*
  %{_mandir}/man8/amrmtape.8*
  %{_mandir}/man8/amtape.8*
  %{_mandir}/man8/amtoc.8*
  %{_mandir}/man8/amverify.8*
  %{_mandir}/man8/amstatus.8*
  %{_mandir}/man8/amreport.8*

%package devel
Summary:	Libraries and documentation of the AMANDA tape backup system.
Group:		Development/Libraries
Requires:	amanda = %{version}

%description devel
The amanda-devel package should be installed on any machine that will
be used to develop amanda applications.

%files devel
  %defattr(-,root,root)
  %{_libdir}/libamanda.a
  %{_libdir}/libamtape.a
  %{_libdir}/libamclient.a
  %{_libdir}/libamserver.a
  %{_libdir}/*.la

%prep
%setup -q 

%build
  export CFLAGS="%optflags -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE"

  libtoolize --copy --force
  ./configure \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --host=%{_host} \
        --infodir=%{_infodir} \
	--enable-shared \
	--with-index-server=localhost \
	--with-gnutar-listdir=%{_localstatedir}/amanda/gnutar-lists \
	--with-smbclient=%{_bindir}/smbclient \
	--with-amandahosts \
	--with-user=amanda \
	--with-group=disk \
	--with-gnutar=/bin/tar
	
#configure --enable-shared \
#	--with-index-server=localhost \
#	--with-gnutar-listdir=%{_localstatedir}/amanda/gnutar-lists \
#	--with-smbclient=%{_bindir}/smbclient \
#	--with-amandahosts \
#	--with-user=amanda \
#	--with-group=disk \
#	--with-gnutar=/bin/tar
	
  make
  (cd common-src; make security)
  (cd tape-src; make amtapetype)

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install BINARY_OWNER=%(id -un) SETUID_GROUP=%(id -gn) DESTDIR=$RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
  install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/xinetd.d/amanda
  install -m 644 %SOURCE6 $RPM_BUILD_ROOT/etc/xinetd.d/amandaidx
  install -m 644 %SOURCE7 $RPM_BUILD_ROOT/etc/xinetd.d/amidxtape
  mkdir -p $RPM_BUILD_ROOT/var/lib/amanda
  install -m 660 %SOURCE8 $RPM_BUILD_ROOT/var/lib/amanda/.amandahosts

  mkdir -p examples
  cp example/* examples
  rm -f examples/Makefile*
  rm -f examples/config.site

  cp common-src/security ${RPM_BUILD_ROOT}%{_sbindir}
  pushd tape-src/.libs
    install -m 755 amtapetype $RPM_BUILD_ROOT/%{_sbindir}
  popd

  cp %{SOURCE2} docs/__README_QUICKSETUP__

  pushd ${RPM_BUILD_ROOT}
    mkdir -p .%{_sysconfdir}/amanda/DailySet1
    cp %{SOURCE1} .%{_sysconfdir}/amanda/crontab.sample
    cp %{SOURCE3} .%{_sysconfdir}/amanda/DailySet1/amanda.conf
    cp %{SOURCE4} .%{_sysconfdir}/amanda/DailySet1/disklist
    touch .%{_sysconfdir}/amandates

    mkdir -p .%{_localstatedir}/amanda/gnutar-lists
    mkdir -p .%{_localstatedir}/amanda/DailySet1/index

#  for i in libamanda libamtape libamclient libamserver ; do
#    mv .%{_libdir}/${i}.so .%{_libdir}/${i}-%{version}-19991216-beta1.so
#    mv .%{_libdir}/${i}.la .%{_libdir}/${i}-%{version}-19991216-beta1.la
#    mv .%{_libdir}/${i}.a .%{_libdir}/${i}-%{version}-19991216-beta1.a
#  done

    chmod 755 .%{_libdir}/libam*
  popd

%pre
  useradd -M -n -g disk -o -r -d /var/lib/amanda -s /bin/bash \
	-c "Amanda user" -u 33 amanda >/dev/null 2>&1 || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%post client
  /sbin/ldconfig
  /etc/init.d/xinetd restart > /dev/null 2>&1 || :

%postun client
  /sbin/ldconfig
  /etc/init.d/xinetd restart > /dev/null 2>&1 || :

%post server
  /sbin/ldconfig
  /etc/init.d/xinetd restart > /dev/null 2>&1 || :

%postun server
  /sbin/ldconfig
  /etc/init.d/xinetd restart > /dev/null 2>&1 || :

%clean 
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 26 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.4p2, Release 1.5.4
  - Drop bogus 'gnuplot' requirement.

* Thu Feb 26 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.4p2, Release 1.5.3
  - New upstream release.

* Thu Sep 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.4, Release 1.5.2
  - Getting ready to actually use this.

* Thu Jun 05 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.4, Release 1.5.2
  - New upstream version (2.4.4).
  - s/tapetype/amtapetype/g.

* Fri Feb 21 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue Nov 05 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.2.p2, Release 1.2.[01]
  - Initial build for EnGarde.  SRPM taken from Red Hat Rawhide,
    spec Ryan-ized, %changelog sanitized.
